aboutsummaryrefslogtreecommitdiffstats
path: root/tools/fs_cat.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/fs_cat.sh')
-rwxr-xr-xtools/fs_cat.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/tools/fs_cat.sh b/tools/fs_cat.sh
new file mode 100755
index 0000000..e8b3722
--- /dev/null
+++ b/tools/fs_cat.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+set -e
+
+# @describe Read the contents of a file at the specified path.
+# Use this when you need to examine the contents of an existing file.
+
+# @env FS_BASE_DIR=. The base dir
+# @option --path! The path of the file to read
+
+main() {
+ path="$FS_BASE_DIR/$argc_path"
+ cat "$path"
+}
+
+eval "$(argc --argc-eval "$0" "$@")"